# eric3.UI.EmailDialog

Module implementing a dialog to send bug reports.

### Classes

EmailDialog | Class implementing a dialog to send bug reports.

### Functions

None

## EmailDialog

Class implementing a dialog to send bug reports.

### Derived from

EmailForm

### Methods

EmailDialog | Constructor
createMultipartMail | Private method to create a multipart mail message.
createSimpleMail | Private method to create a simple mail message.
handleAdd | Private slot to handle the Add... button.
handleDelete | Private slot to handle the Delete button.
handleSend | Private slot to send the email message.
sendmail | Private method to actually send the message.

### EmailDialog (Constructor)

EmailDialog(parent=None)

Constructor

parent
  parent widget of this dialog (QWidget)

### EmailDialog.createMultipartMail

createMultipartMail()

Private method to create a multipart mail message.

Returns:
  string containing the mail message

### EmailDialog.createSimpleMail

createSimpleMail()

Private method to create a simple mail message.

Returns:
  string containing the mail message

### EmailDialog.handleAdd

handleAdd()

Private slot to handle the Add... button.

### EmailDialog.handleDelete

handleDelete()

Private slot to handle the Delete button.

### EmailDialog.handleSend

handleSend()

Private slot to send the email message.

### EmailDialog.sendmail

sendmail(msg)

Private method to actually send the message.

msg
  the message to be sent (string)

Returns:
  flag indicating success (boolean)

Up